summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/atop/atop.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/system/atop/atop.SlackBuild b/system/atop/atop.SlackBuild
index 21b3bd6356..25d4a800ba 100644
--- a/system/atop/atop.SlackBuild
+++ b/system/atop/atop.SlackBuild
@@ -68,12 +68,8 @@ touch $PKG/var/log/atop/dummy_{before,after}
# Create link to enable the 'atopsar' functionality
( cd $PKG/usr/bin ; ln -vsf atop atopsar )
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/man/man1
gzip -9c man/atop.1 > $PKG/usr/man/man1/atop.1.gz